API reference
GET /api/v1/media
List media objects in the current project.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Maximum number of items to return. |
cursor | string | no | Opaque pagination cursor from a previous response. |
Response
Content-Type application/json. Cache-Control public, max-age=60.
{
"object": "list",
"data": [
{
"id": "med_6p95jgis1okdnf",
"created_at": "2024-11-18T18:13:58Z",
"content_type": "video/mp4",
"bytes": 6635250,
"width": 2560,
"height": 768,
"status": "ready"
},
{
"id": "med_s3fjvppy50s9uy",
"created_at": "2024-12-18T10:37:35Z",
"content_type": "image/jpeg",
"bytes": 1946130,
"width": 1920,
"height": 768,
"status": "ready"
}
]
}Example
curl -s https://ndc.brightquill.org/api/v1/media